﻿using System;

namespace PrimeNumberCheckerApp
{
    public class PrimeNumberChecker
    {
        public static bool IsPrime(int number)
        {
            if (number <= 1)
            {
                return false;
            }
                
            for (int i = 2; i <= Math.Sqrt(number); i++)
            {
                if (number % i == 0)
                {
                    return false;
                }
            }

            return true;
        }

        public static void Main(string[] args)
        {
            Console.WriteLine("Prime Number Checker");

            Console.Write("Enter a number: ");
            int number = Convert.ToInt32(Console.ReadLine());

            if (IsPrime(number))
            { 
                Console.WriteLine($"{number} is a prime number.");
            }
            else
            {
                Console.WriteLine($"{number} is not a prime number.");
            }
            Console.ReadKey();
        }
    }
}